/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*             Damien Doligez, projet Para, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1996 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* $Id: minor_gc.h,v 1.2 1997/09/09 17:48:22 blanchet Exp $ */

#ifndef _minor_gc_
#define _minor_gc_


#include "misc.h"

typedef struct {
   value *fp_val, fp_ref;
} ref_table_item;

extern char *young_start, *young_ptr, *young_end, *young_limit;
extern ref_table_item *ref_table_ptr, *ref_table_limit;
extern asize_t minor_heap_size;
extern int in_minor_collection;

#define Is_young(val) \
  ((addr)(val) > (addr)young_start && (addr)(val) < (addr)young_end)

extern void set_minor_heap_size P((asize_t));
extern void minor_collection P((void));
extern void garbage_collection P((void)); /* for the native-code system */
extern void realloc_ref_table P((void));
extern void oldify P((value, value *));

#endif /* _minor_gc_ */
