(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: l1trtype.mli,v 1.2 2000/10/23 21:07:03 bblanche Exp $ *)

open L1env
open L1envir

module TranslType :
  sig
    type typemap_t
    val modname : string ref
    val decl : Envir.t -> (Ident.t * Types.type_declaration) list -> Envir.t
    val instantiate : TEnv.t_hierarchy_mod -> TEnv.t_hierarchy_mod ->
      TEnv.t_hierarchy_mod -> TEnv.t_hierarchy_mod
    val copy_sig : TEnv.t_hierarchy_mod -> TEnv.t_hierarchy_mod
    val typemap : typemap_t ref
    val expr : Envir.t -> Types.type_expr -> NewType.t_type_expr
  end
