(***********************************************************************)
(*                                                                     *)
(*              Fast Escape Analysis - All analyses                    *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

type t = NoAnal
       | AnalT of Ttype.t_hierarchy
       | AnalF of Fenv.TEnv.t_hierarchy
       | AnalL1 of L1env.TEnv.t_hierarchy
       | AnalL of Lenv.TEnv.t_hierarchy

val fromT : Ttype.t_hierarchy -> t
val toT : t -> Ttype.t_hierarchy
val fromF : Fenv.TEnv.t_hierarchy -> t
val toF : t -> Fenv.TEnv.t_hierarchy
val fromL1 : L1env.TEnv.t_hierarchy -> t
val toL1 : t -> L1env.TEnv.t_hierarchy
val fromL : Lenv.TEnv.t_hierarchy -> t
val toL : t -> Lenv.TEnv.t_hierarchy
