(***********************************************************************)
(*                                                                     *)
(*                    Fast Escape Analysis - Control                   *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                  Alain Deutsch, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

val parse_option : string -> unit

val exclude_cntr : int list ref

val dump_stackallocation : bool ref
val debug_primitives : bool ref
val debug_polymorphic_instanciation : bool ref
val show_valuation : bool ref
val show_equations : bool ref
val show_environment : bool ref
val stack_allocate_floats : bool ref
val optimize_lets : bool ref
val optimize_calls : bool ref
val preserve_tail_recursion : bool ref
val preserve_tail_calls : bool ref
val put_letstack_tail : bool ref
val move_lets : bool ref
val max_stack_size : bool ref
val detailed_chrono : bool ref
val chrono_phases : bool ref
val closure_only : bool ref
val profile : bool ref
val let_only : bool ref
val inlining : int ref
val inlining_sup : int ref
val min_cntr : int ref
val max_cntr : int ref
val promoted_lets_count : int ref
val stackalloc_count : int ref
