(***********************************************************************)
(*                                                                     *)
(*              Fast Escape Analysis - Equations solver                *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                  Alain Deutsch, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: message.mli,v 1.2 2001/03/08 10:48:59 bblanche Exp $ *)

val reset: unit -> unit

val phasestart : string -> unit
val phaseend : string -> unit
val send : string -> string -> (unit -> unit) -> unit
   (* send kind whom description *)
val error : string -> (unit -> unit) -> 'b
   (* error whom description *)
val debug : int -> (unit -> unit) -> unit
   (* debug level description *)

val debug_level: int ref
